import { html as n } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as l } from "./PieIconComponent.js";
import { safeCustomElement as a } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, m = Object.getOwnPropertyDescriptor, h = (f, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, i = f.length - 1, c; i >= 0; i--)
    (c = f[i]) && (e = (r ? c(t, s, e) : c(e)) || e);
  return r && e && v(t, s, e), e;
};
let o = class extends l {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--officeLarge", this.class = "c-pieIcon c-pieIcon--officeLarge", this.name = "IconOfficeLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--officeLarge"><path d="M24.75 4.625H7.25A2.625 2.625 0 0 0 4.625 7.25v20.125h22.75V7.25a2.625 2.625 0 0 0-2.625-2.625m-10.5 21v-3.5h3.5v3.5zm11.375 0H19.5v-3.5h1.75v-1.75h-10.5v1.75h1.75v3.5H6.375V7.25a.875.875 0 0 1 .875-.875h17.5a.875.875 0 0 1 .875.875zM17.75 9.875h3.5v1.75h-3.5zm-7 0h3.5v1.75h-3.5zm7 5.25h3.5v1.75h-3.5zm-7 0h3.5v1.75h-3.5z"></path></svg>`;
  }
};
h([
  p({ type: String, reflect: !0 })
], o.prototype, "size", 2);
h([
  p({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = h([
  a("icon-office-large")
], o);
export {
  o as IconOfficeLarge
};
